rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs
glob.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | glob_t

## Macros
#define | __P(protos) ()
#define | __PMT(protos) ()
#define | __const
#define | __ptr_t char *
#define | GLOB_ERR (1 << 0)/* Return on read errors. */
#define | GLOB_MARK (1 << 1)/* Append a slash to each name. */
#define | GLOB_NOSORT (1 << 2)/* Don't sort the names. */
#define | GLOB_DOOFFS (1 << 3)/* Insert PGLOB->gl_offs NULLs. */
#define | GLOB_NOCHECK (1 << 4)/* If nothing matches, return the pattern. */
#define | GLOB_APPEND (1 << 5)/* Append to results of a previous call. */
#define | GLOB_NOESCAPE (1 << 6)/* Backslashes don't quote metacharacters. */
#define | GLOB_PERIOD (1 << 7)/* Leading `.' can be matched by metachars. */
#define | GLOB_MAGCHAR (1 << 8)/* Set in gl_flags if any metachars seen. */
#define | GLOB_ALTDIRFUNC (1 << 9)/* Use gl_opendir et al functions. */
#define | GLOB_BRACE (1 << 10)/* Expand "{a,b}" to "a" "b". */
#define | GLOB_NOMAGIC (1 << 11)/* If no magic chars, return the pattern. */
#define | GLOB_TILDE (1 << 12)/* Expand ~user and ~ to home directories. */
#define | GLOB_ONLYDIR (1 << 13)/* Match only directories. */
#define | GLOB_TILDE_CHECK
#define | __GLOB_FLAGS
#define | GLOB_NOSPACE 1 /* Ran out of memory. */
#define | GLOB_ABORTED 2 /* Read error. */
#define | GLOB_NOMATCH 3 /* No matches found. */
#define | GLOB_NOSYS 4 /* Not implemented. */
#define | glob glob64
#define | globfree globfree64
#define | glob_t glob64_t

## Typedefs
typedef unsigned long int | __size_t

## Macro Definition Documentation

#define __const

Definition at line 48 of file glob.h.

#define __GLOB_FLAGS

Value:
(GLOB_ERR|GLOB_MARK|GLOB_NOSORT|GLOB_DOOFFS| \
GLOB_NOESCAPE|GLOB_NOCHECK|GLOB_APPEND| \
GLOB_PERIOD|GLOB_ALTDIRFUNC|GLOB_BRACE| \
GLOB_NOMAGIC|GLOB_TILDE|GLOB_ONLYDIR|GLOB_TILDE_CHECK)

Definition at line 92 of file glob.h.

Referenced by glob().

#define __P | ( |  | protos | ) | ()

Definition at line 45 of file glob.h.

#define __PMT | ( |  | protos | ) | ()

Definition at line 46 of file glob.h.

#define __ptr_t char *

Definition at line 49 of file glob.h.

Referenced by glob(), glob_in_dir(), globfree(), and prefix_array().

#define glob glob64

Definition at line 190 of file glob.h.

#define GLOB_ABORTED 2 /* Read error. */

Definition at line 104 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_ALTDIRFUNC (1 << 9)/* Use gl_opendir et al functions. */

Definition at line 85 of file glob.h.

Referenced by glob(), Glob(), and glob_in_dir().

#define GLOB_APPEND (1 << 5)/* Append to results of a previous call. */

Definition at line 78 of file glob.h.

Referenced by glob().

#define GLOB_BRACE (1 << 10)/* Expand "{a,b}" to "a" "b". */

Definition at line 86 of file glob.h.

Referenced by glob().

#define GLOB_DOOFFS (1 << 3)/* Insert PGLOB->gl_offs NULLs. */

Definition at line 76 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_ERR (1 << 0)/* Return on read errors. */

Definition at line 73 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_MAGCHAR (1 << 8)/* Set in gl_flags if any metachars seen. */

Definition at line 84 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_MARK (1 << 1)/* Append a slash to each name. */

Definition at line 74 of file glob.h.

Referenced by glob().

#define GLOB_NOCHECK (1 << 4)/* If nothing matches, return the pattern. */

Definition at line 77 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_NOESCAPE (1 << 6)/* Backslashes don't quote metacharacters. */

Definition at line 79 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_NOMAGIC (1 << 11)/* If no magic chars, return the pattern. */

Definition at line 87 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_NOMATCH 3 /* No matches found. */

Definition at line 105 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_NOSORT (1 << 2)/* Don't sort the names. */

Definition at line 75 of file glob.h.

Referenced by glob().

#define GLOB_NOSPACE 1 /* Ran out of memory. */

Definition at line 103 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_NOSYS 4 /* Not implemented. */

Definition at line 106 of file glob.h.

#define GLOB_ONLYDIR (1 << 13)/* Match only directories. */

Definition at line 89 of file glob.h.

Referenced by glob(), and glob_in_dir().

#define GLOB_PERIOD (1 << 7)/* Leading `.' can be matched by metachars. */

Definition at line 80 of file glob.h.

Referenced by glob_in_dir().

#define glob_t glob64_t

Definition at line 192 of file glob.h.

#define GLOB_TILDE (1 << 12)/* Expand ~user and ~ to home directories. */

Definition at line 88 of file glob.h.

Referenced by glob(), Glob(), and rpmGlob().

#define GLOB_TILDE_CHECK

Value:
(1 << 14)/* Like GLOB_TILDE but return an error
if the user name is not available. */

Definition at line 90 of file glob.h.

Referenced by glob().

#define globfree globfree64

Definition at line 191 of file glob.h.

## Typedef Documentation

typedef unsigned long int __size_t

Definition at line 63 of file glob.h.